Bug 2267754 - Include GNOME Shell (etc.) 46 RC/Final in Fedora 40 Beta
Summary: Include GNOME Shell (etc.) 46 RC/Final in Fedora 40 Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 40
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aoife Moloney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 2268648
Blocks: F40BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2024-03-04 17:58 UTC by František Zatloukal
Modified: 2024-03-20 19:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-20 19:55:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description František Zatloukal 2024-03-04 17:58:49 UTC
GNOME 46 rc1 release is imminent, we may explore a possibility of including it in the 40 beta release.

Comment 1 Geoffrey Marr 2024-03-05 04:18:34 UTC
Discussed during the 2024-03-04 blocker review meeting: [0]

The decision to delay the classification of this as a blocker bug was made as we do not want to accept this for a candidate to be built in the next day or two for release next week. That timeframe is too tight without any significant justification to pull in this update (and initial results from openQA suggesting it may cause at least one problem). We will reconsider this if the Beta release slips and we have more definite testing results by then.

[0] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-03-04/f40-blocker-review.2024-03-04-17.00.log.txt

Comment 2 Adam Williamson 2024-03-09 01:18:15 UTC
We should not accept this without a fix for https://bugzilla.redhat.com/show_bug.cgi?id=2268648 .

Comment 3 Adam Williamson 2024-03-12 01:32:30 UTC
Discussed at today's blocker review meeting: https://meetbot-raw.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-03-11/f40-blocker-review.2024-03-11-16.00.html . This was rejected as an FE due to being rather late, and https://bugzilla.redhat.com/show_bug.cgi?id=2268648 . If we wind up slipping this week *and* https://bugzilla.redhat.com/show_bug.cgi?id=2268648 is resolved, we could reconsider this decision if an update is available by Friday.

Comment 4 Adam Williamson 2024-03-17 21:50:37 UTC
Re-proposing now we have an update with 46 Final which resolves #2268648 - FEDORA-2024-1ed0b13d8 .

Comment 5 Fedora Update System 2024-03-17 21:51:01 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-1ed0b13d87

Comment 6 František Zatloukal 2024-03-18 17:27:25 UTC
Discussed during the 2024-03-18 blocker review meeting: [1]

The decision to classify this bug as a AcceptedFreezeException (Beta) was made:

"It fixes a large number of crashers and other bugs, it has solid feedback so far, and seems to be passing openQA's distribution tests in Rawhide. We intend to pull it into a candidate compose (assuming there is another) without pushing it stable first, so it can easily be reverted if necessary."

[1] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-03-18/f40-blocker-review.2024-03-18-16.01.log.html

Comment 7 Adam Williamson 2024-03-18 17:32:27 UTC
I guess it wasn't super clear when we discussed this whether we intended it to cover *only* pulling https://bodhi.fedoraproject.org/updates/FEDORA-2024-1ed0b13d87 (the 46.0 update for mutter and gnome-shell) , or *also* pulling https://bodhi.fedoraproject.org/updates/FEDORA-2024-a74ce3e5c4 (the 46-rc megaupdate for other GNOME components). We should clarify that.

Comment 8 Fedora Update System 2024-03-18 17:37:42 UTC
FEDORA-2024-a74ce3e5c4 (adwaita-icon-theme-46~rc-1.fc40, at-spi2-core-2.51.91-1.fc40, and 26 more) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-a74ce3e5c4

Comment 9 Fedora Update System 2024-03-19 06:20:58 UTC
FEDORA-2024-3e4fb0390a (budgie-control-center-1.4.0-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3e4fb0390a

Comment 10 Fedora Update System 2024-03-19 06:21:45 UTC
FEDORA-2024-0177735945 (cinnamon-control-center-6.0.0-6.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-0177735945

Comment 11 Fedora Update System 2024-03-20 19:55:54 UTC
FEDORA-2024-a74ce3e5c4 (adwaita-icon-theme-46~rc-1.fc40, at-spi2-core-2.51.91-1.fc40, and 26 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-03-20 19:56:02 UTC
FEDORA-2024-0177735945 (cinnamon-control-center-6.0.0-6.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2024-03-20 19:56:09 UTC
FEDORA-2024-1ed0b13d87 (gnome-shell-46.0-1.fc40, gnome-shell-extensions-46.0-1.fc40, and 1 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2024-03-20 19:56:34 UTC
FEDORA-2024-3e4fb0390a (budgie-control-center-1.4.0-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.